/*
   Test FLseekable, FLterm

   $Id: tFLseekterm.c 1.4 1999/06/04 libtsp-v3r1 $
*/

#include <string.h>

#include <libtsp/nucleus.h>


int
main (int argc, const char *argv[])

{
  FILE *fp;

  if (strcmp (argv[1], "stdin") == 0) {
    printf ("ftell (stdin): %ld\n", ftell (stdin));
    printf ("fseek (stdin, 0L, SEEK_CUR): %d\n", fseek (stdin, 0L, SEEK_CUR));
    printf ("fseek (stdin, 0L, SEEK_END): %d\n", fseek (stdin, 0L, SEEK_END));
    printf ("FLseekable: stdin: status = %d\n", FLseekable (stdin));
    printf ("FLterm: stdin: status = %d\n", FLterm (stdin));
  }
  else if (strcmp (argv[1], "stdout") == 0) {
    fprintf (stderr, "ftell (stdout): %ld\n", ftell (stdout));
    fprintf (stderr, "fseek (stdout, 0L, SEEK_CUR): %d\n",
	    fseek (stdout, 0L, SEEK_CUR));
    fprintf (stderr, "fseek (stdout, 0L, SEEK_END): %d\n",
	    fseek (stdout, 0L, SEEK_END));
    fprintf (stderr, "FLseekable: stdout: status = %d\n",
	     FLseekable (stdout));
    fprintf (stderr, "FLterm: stdout: status = %d\n", FLterm (stdout));
  }
  else {
    fp = fopen (argv[1], "rb");
    printf ("ftell (fp): %ld\n", ftell (fp));
    printf ("fseek (fp, 0L, SEEK_CUR): %d\n", fseek (fp, 0L, SEEK_CUR));
    printf ("fseek (fp, 0L, SEEK_END): %d\n", fseek (fp, 0L, SEEK_END));
    printf ("FLseekable: file: status = %d\n", FLseekable (fp));
    printf ("FLterm: file: status = %d\n", FLterm (fp));
    fclose (fp);
  }

  return 0;
}
