/*-------------- Telecommunications & Signal Processing Lab ---------------
                             McGill University

Routine:
  void VRfPrint (FILE *fp, const char Header[], const float x[], int N)

Purpose:
  Print a float array along with a header text

Description:
  This routine prints the values of a float array along with an identifying
  header.

Parameters:
   -> FILE *fp
      File pointer for the output.  If fp is NULL, no printing occurs.
   -> const char Header[]
      Character string for the header.  The header line is omitted if the
      header string is empty.
   -> const float x[]
      Array of N floats
   -> int N
      Number of elements in x

Author / revision:
  P. Kabal  Copyright (C) 1999
  $Revision: 1.9 $  $Date: 1999/06/04 22:51:11 $

-------------------------------------------------------------------------*/

static char rcsid[] = "$Id: VRfPrint.c 1.9 1999/06/04 libtsp-v3r1 $";

#include <libtsp.h>


void
VRfPrint (FILE *fp, const char Header[], const float x[], int N)

{
  MAfPrint (fp, Header, &x, 1, N);

  return;
}
